<template>
    <div>
        <v-card class="mx-auto" max-width="1900" color="#EEEEEE">
            <v-toolbar color="#263238" dark style="margin-top:-30px">
                <v-spacer></v-spacer>
                <v-toolbar-title> <span style="color: #FBC02D">BEE</span> PANEL </v-toolbar-title>
                <v-spacer></v-spacer>
                <v-btn icon>
                    <v-icon>mdi-magnify</v-icon>
                </v-btn>
            </v-toolbar>
        </v-card>
        <v-container>
            <v-row>
                <v-col cols="12" sm="12" offset-sm="1">
                    <v-card height="auto">
                        <v-card-title class="blue white--text">
                            <v-spacer></v-spacer>
                            Orden
                        </v-card-title>
                        <v-card-text><dish-item :order-id="$route.params.id"></dish-item></v-card-text>
                    </v-card>
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import DishItem from '@/components/order/DishItem.vue';
import { db } from '@/config/firebase';
import { ORDERS } from '@/config/collectionsName';

@Component({
    components: {
        DishItem
    }
})
export default class OrderItem extends Vue {
    OrderItem = [];

    created() {
        this.$bind('OrderItem', db.collection(ORDERS).doc(this.$route.params.id));
    }
}
</script>

<style scoped></style>
